Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mediprimauma.service.impl
Class MediprimaUmaServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.mediprimauma.service.impl.MediprimaUmaServiceImpl

All Implemented Interfaces:
  MediprimaUmaService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class MediprimaUmaServiceImpl

extends Object
implements MediprimaUmaService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `MediprimaUmaService`

Constructor Summary
`MediprimaUmaServiceImpl()` default constructor, needed for ModuleBootstrapHook.
`MediprimaUmaServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

Method Summary
`void` | `bootstrap()`
`DeleteUrgentMedicalAidAttestationResponse` | `deleteUrgentMedicalAidAttestation(SAMLToken token, DeleteUrgentMedicalAidAttestationRequest request)`
`SearchUrgentMedicalAidAttestationResponse` | `searchUrgentMedicalAidAttestation(SAMLToken token, SearchUrgentMedicalAidAttestationRequest request)`
`SendUrgentMedicalAidAttestationResponse` | `sendUrgentMedicalAidAttestation(SAMLToken token, SendUrgentMedicalAidAttestationRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediprimaUmaServiceImpl

    public MediprimaUmaServiceImpl(SessionValidator sessionValidator,
                                   EhealthReplyValidator replyValidator)

### MediprimaUmaServiceImpl

    public MediprimaUmaServiceImpl()

  default constructor, needed for ModuleBootstrapHook.

Method Detail

### deleteUrgentMedicalAidAttestation

    public DeleteUrgentMedicalAidAttestationResponse deleteUrgentMedicalAidAttestation(SAMLToken token,
                                                                                       DeleteUrgentMedicalAidAttestationRequest request)
                                                                                throws MediprimaUmaDeleteException,
                                                                                       TechnicalConnectorException

  Specified by:
    `deleteUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
  Throws:
    `MediprimaUmaDeleteException`
    `TechnicalConnectorException`

### searchUrgentMedicalAidAttestation

    public SearchUrgentMedicalAidAttestationResponse searchUrgentMedicalAidAttestation(SAMLToken token,
                                                                                       SearchUrgentMedicalAidAttestationRequest request)
                                                                                throws MediprimaUmaSearchException,
                                                                                       TechnicalConnectorException

  Specified by:
    `searchUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
  Throws:
    `MediprimaUmaSearchException`
    `TechnicalConnectorException`

### sendUrgentMedicalAidAttestation

    public SendUrgentMedicalAidAttestationResponse sendUrgentMedicalAidAttestation(SAMLToken token,
                                                                                   SendUrgentMedicalAidAttestationRequest request)
                                                                            throws MediprimaUmaSendException,
                                                                                   TechnicalConnectorException

  Specified by:
    `sendUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
  Throws:
    `MediprimaUmaSendException`
    `TechnicalConnectorException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.